We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

E: Broken Packages Installing KDE


TechN9ne1730
04-13-2012, 03:38 PM
I set up a Debian virtual machine on my pc, 2 actually, to determine if I wanted gnome or kde for my debian server. I set up the VMs with out a desktop environment to test installing them on the VMs before trying on my server. The install went flawless. However, my server was another story. The server is a Kimsufi 16G Debian Squeeze x64 just as the VMs were. I set the sources.list to use the standard Debian mirrors.

sources.list:
deb http://ftp.fr.debian.org/debian/ squeeze main
deb-src http://ftp.fr.debian.org/debian/ squeeze main

deb http://security.debian.org/ squeeze/updates main
deb-src http://security.debian.org/ squeeze/updates main

# squeeze-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ squeeze-updates main
deb-src http://ftp.fr.debian.org/debian/ squeeze-updates main
Then I try to run:
aptitude install kde-core xorg kdm
The following NEW packages will be installed:
akonadi-server{a} akregator{a} ark{a} aspell{a} aspell-en{a} console-setup{a} console-terminus{a} consolekit{a} dbus-x11{a} dictionaries-common{a} dnsmasq-base{a} dolphin{a}
dragonplayer{a} exiv2{a} fancontrol{a} freeglut3{a} freespacenotifier{a} ghostscript{a} gnupg-agent{a} gnupg2{a} google-gadgets-common{a} google-gadgets-gst{a} google-gadgets-qt{a}
google-gadgets-xul{a} gsfonts{a} gwenview{a} hal{a} hal-info{a} htdig{a} hunspell-en-us{a} imagemagick{a} juk{a} kaboom{a} kaddressbook{a} kappfinder{a} kate{a} kbd{a} kcalc{a}
kde-core kde-plasma-desktop{a} kde-standard{a} kde-window-manager{a} kdebase-apps{a} kdebase-bin{a} kdebase-data{a} kdebase-runtime{a} kdebase-runtime-data{a} kdebase-workspace{a}
kdebase-workspace-bin{a} kdebase-workspace-data{a} kdebase-workspace-kgreet-plugins{a} kdegraphics-libs-data{a} kdelibs-bin{a} kdelibs5-data{a} kdelibs5-plugins{a} kdepasswd{a}
kdepim-runtime{a} kdepimlibs-kio-plugins{a} kdeplasma-addons{a} kdm kdoctools{a} keyboard-configuration{a} kfind{a} khelpcenter4{a} kinfocenter{a} klipper{a} kmail{a} kmix{a}
knm-runtime{a} knotes{a} konq-plugins{a} konq-plugins-l10n{a} konqueror{a} konqueror-nsplugins{a} konsole{a} kopete{a} korganizer{a} kscreensaver{a} kscreensaver-xsavers{a}
ksnapshot{a} ksysguard{a} ksysguardd{a} kwalletmanager{a} kwrite{a} libaa1{a} libakonadi-contact4{a} libakonadi-kabc4{a} libakonadi-kcal4{a} libakonadi-kde4{a} libakonadi-kmime4{a}
libakonadiprivate1{a} libarchive1{a} libasound2{a} libaspell15{a} libasyncns0{a} libattica0{a} libaudio2{a} libaudit0{a} libavcodec52{a} libavutil49{a} libbluetooth3{a}
libboost-program-options1.42.0{a} libcaca0{a} libcdio10{a} libcdt4{a} libck-connector0{a} libcln6{a} libclucene0ldbl{a} libcupsimage2{a} libdbus-glib-1-2{a} libdirac-encoder0{a}
libdirectfb-1.2-9{a} libdjvulibre-text{a} libdjvulibre21{a} libdrm-intel1{a} libdrm-nouveau1{a} libdrm-radeon1{a} libdrm2{a} libdvdnav4{a} libdvdread4{a} libeet1{a}
libeggdbus-1-0{a} libeina-svn-06{a} libenchant1c2a{a} libexiv2-9{a} libfaad2{a} libfam0{a} libfftw3-3{a} libflac8{a} libfs6{a} libgadu3{a} libgd2-noxpm{a} libggadget-1.0-0b{a}
libggadget-qt-1.0-0b{a} libgif4{a} libgl1-mesa-dri{a} libgl1-mesa-glx{a} libgle3{a} libglu1-mesa{a} libgmp3c2{a} libgpgme++2{a} libgpgme11{a} libgps19{a} libgraph4{a}
libgraphicsmagick3{a} libgs8{a} libgsm1{a} libgstreamer-plugins-base0.10-0{a} libgstreamer0.10-0{a} libgudev-1.0-0{a} libgvc5{a} libhal-storage1{a} libhal1{a} libhunspell-1.2-0{a}
libical0{a} libice6{a} libilmbase6{a} libiodbc2{a} libiso9660-7{a} libjack-jackd2-0{a} libjasper-runtime{a} libjbig2dec0{a} libjpeg-progs{a} libjpeg8{a} libkabc4{a} libkcal4{a}
libkde3support4{a} libkde4-ruby1.8{a} libkdecorations4{a} libkdecore5{a} libkdepim4{a} libkdesu5{a} libkdeui5{a} libkdewebkit5{a} libkdnssd4{a} libkephal4{a} libkexiv2-8{a}
libkfile4{a} libkholidays4{a} libkhtml5{a} libkimap4{a} libkimproxy4{a} libkio5{a} libkipi7{a} libkjsapi4{a} libkjsembed4{a} libkldap4{a} libkleo4{a} libkmediaplayer4{a}
libkmime4{a} libknewstuff2-4{a} libknewstuff3-4{a} libknotifyconfig4{a} libkntlm4{a} libkonq5{a} libkonq5-templates{a} libkonqsidebarplugin4a{a} libkontactinterface4{a}
libkopete4{a} libkparts4{a} libkpgp4{a} libkpimidentities4{a} libkpimtextedit4{a} libkpimutils4{a} libkpty4{a} libkresources4{a} libkrosscore4{a} libksba8{a} libkscreensaver5{a}
libksgrd4{a} libksieve4{a} libksignalplotter4{a} libktexteditor4{a} libktnef4{a} libkunitconversion4{a} libkutils4{a} libkwineffects1a{a} libkworkspace4{a} liblcms1{a} liblqr-1-0{a}
libmad0{a} libmagickcore3{a} libmagickcore3-extra{a} libmagickwand3{a} libmailtransport4{a} libmarblewidget4{a} libmeanwhile1{a} libmediastreamer0{a} libmessagecore4{a}
libmessagelist4{a} libmicroblog4{a} libmimelib4{a} libmng1{a} libmodplug1{a} libmozjs2d{a} libmpcdec6{a} libmsn0.3{a} libmusicbrainz4c2a{a} libmysqlclient16{a} libnepomuk4{a}
libnepomukquery4a{a} libnetpbm10{a} libnl1{a} libnm-glib-vpn1{a} libnm-glib2{a} libnm-util1{a} libnspr4-0d{a} libnss3-1d{a} libntrack-qt4-1{a} libntrack0{a} libofa0{a} libogg0{a}
libokularcore1{a} libopenexr6{a} libopenjpeg2{a} liborc-0.4-0{a} libortp8{a} libotr2{a} libpam-ck-connector{a} libpaper-utils{a} libpaper1{a} libpathplan4{a} libpciaccess0{a}
libpcsclite1{a} libphonon4{a} libplasma-geolocation-interface4{a} libplasma-ruby{a} libplasma-ruby1.8{a} libplasma3{a} libplasmaclock4a{a} libplasmagenericshell4{a}
libpolkit-agent-1-0{a} libpolkit-backend-1-0{a} libpolkit-gobject-1-0{a} libpolkit-qt-1-0{a} libpoppler-qt4-3{a} libpoppler5{a} libpostproc51{a} libprocesscore4a{a}
libprocessui4a{a} libpth20{a} libpulse-mainloop-glib0{a} libpulse0{a} libpython2.6{a} libqalculate5{a} libqca2{a} libqca2-plugin-ossl{a} libqedje0a{a} libqgpgme1{a}
libqimageblitz4{a} libqt4-assistant{a} libqt4-dbus{a} libqt4-designer{a} libqt4-help{a} libqt4-network{a} libqt4-opengl{a} libqt4-qt3support{a} libqt4-ruby1.8{a} libqt4-script{a}
libqt4-scripttools{a} libqt4-sql{a} libqt4-sql-mysql{a} libqt4-sql-sqlite{a} libqt4-svg{a} libqt4-test{a} libqt4-webkit{a} libqt4-xml{a} libqt4-xmlpatterns{a} libqtcore4{a}
libqtgui4{a} libqtruby4shared2{a} libqzion0a{a} libraptor1{a} librasqal2{a} libraw1394-11{a} librdf0{a} libruby1.8{a} libschroedinger-1.0-0{a} libscim8c2a{a} libsdl1.2debian{a}
libsdl1.2debian-alsa{a} libsensors4{a} libsm6{a} libsmbclient{a} libsmokekdecore4-3{a} libsmokekdeui4-3{a} libsmokekfile3{a} libsmokekhtml3{a} libsmokekio3{a}
libsmokeknewstuff2-3{a} libsmokeknewstuff3-3{a} libsmokekparts3{a} libsmokektexteditor3{a} libsmokekutils3{a} libsmokenepomuk3{a} libsmokephonon3{a} libsmokeplasma3{a}
libsmokeqtcore4-3{a} libsmokeqtdbus4-3{a} libsmokeqtgui4-3{a} libsmokeqtnetwork4-3{a} libsmokeqtopengl4-3{a} libsmokeqtscript4-3{a} libsmokeqtsql4-3{a} libsmokeqtsvg4-3{a}
libsmokeqttest4-3{a} libsmokeqtuitools4-3{a} libsmokeqtwebkit4-3{a} libsmokeqtxml4-3{a} libsmokesolid3{a} libsmokesoprano3{a} libsndfile1{a} libsolid4{a} libsolidcontrol4{a}
libsolidcontrolifaces4{a} libsoprano4{a} libsoup2.4-1{a} libspectre1{a} libspeex1{a} libspeexdsp1{a} libsrtp0{a} libssh-4{a} libstartup-notification0{a} libstreamanalyzer0{a}
libstreams0{a} libsvga1{a} libswscale0{a} libsyndication4{a} libsysfs2{a} libtag1-vanilla{a} libtag1c2a{a} libtalloc2{a} libtaskmanager4a{a} libtheora0{a} libthreadweaver4{a}
libtidy-0.99-0{a} libts-0.0-0{a} libtunepimp5{a} libusb-1.0-0{a} libutempter0{a} libv4l-0{a} libvcdinfo0{a} libvirtodbc0{a} libvorbis0a{a} libvorbisenc2{a} libvorbisfile3{a}
libwavpack1{a} libwbclient0{a} libweather-ion4a{a} libwmf0.2-7{a} libx11-xcb1{a} libx86-1{a} libxaw7{a} libxcb-atom1{a} libxcb-aux0{a} libxcb-dri2-0{a} libxcb-event1{a}
libxcb-shape0{a} libxcb-shm0{a} libxcb-xv0{a} libxdot4{a} libxine1{a} libxine1-bin{a} libxine1-console{a} libxine1-ffmpeg{a} libxine1-misc-plugins{a} libxine1-plugins{a}
libxine1-x{a} libxkbfile1{a} libxklavier16{a} libxml2-utils{a} libxmu6{a} libxpm4{a} libxss1{a} libxt6{a} libxtst6{a} libxv1{a} libxvmc1{a} libxxf86dga1{a} libxxf86vm1{a}
lm-sensors{a} marble-data{a} marble-plugins{a} modemmanager{a} mysql-common{a} mysql-server-core-5.1{a} netpbm{a} network-manager{a} network-manager-openvpn{a}
network-manager-pptp{a} network-manager-vpnc{a} odbcinst{a} odbcinst1debian2{a} okular{a} openssl-blacklist{a} openvpn{a} openvpn-blacklist{a} oxygen-icon-theme{a} oxygencursors{a}
p7zip-full{a} phonon{a} phonon-backend-xine{a} pinentry-gtk2{a} plasma-dataengines-addons{a} plasma-dataengines-workspace{a} plasma-desktop{a} plasma-desktopthemes-artwork{a}
plasma-runners-addons{a} plasma-scriptengine-googlegadgets{a} plasma-scriptengine-javascript{a} plasma-scriptengine-python{a} plasma-scriptengine-qedje{a}
plasma-scriptengine-ruby{a} plasma-scriptengine-superkaramba{a} plasma-scriptengine-webkit{a} plasma-scriptengines{a} plasma-wallpapers-addons{a} plasma-widget-folderview{a}
plasma-widget-lancelot{a} plasma-widget-networkmanagement{a} plasma-widgets-addons{a} plasma-widgets-workspace{a} pm-utils{a} policykit-1{a} polkit-kde-1{a} powermgmt-base{a} ppp{a}
pptp-linux{a} python-kde4{ab} python-qt4{ab} python-sip{ab} qt4-qtconfig{a} radeontool{a} ruby{a} ruby1.8{a} shared-desktop-ontologies{a} soprano-daemon{a} sweeper{a}
systemsettings{a} tcl{a} tcl8.4{a} tsconf{a} ttf-dejavu{a} ttf-dejavu-extra{a} ufraw-batch{a} update-notifier-common{a} update-notifier-kde{a} usb-modeswitch{a}
usb-modeswitch-data{a} vbetool{a} virtuoso-minimal{a} virtuoso-opensource-6.1-bin{a} virtuoso-opensource-6.1-common{a} vpnc{a} wpasupplicant{a} x11-apps{a} x11-session-utils{a}
x11-utils{a} x11-xfs-utils{a} x11-xkb-utils{a} x11-xserver-utils{a} xdg-utils{a} xfonts-100dpi{a} xfonts-75dpi{a} xfonts-base{a} xfonts-scalable{a} xinit{a} xkb-data{a} xorg
xorg-docs-core{a} xscreensaver-data{a} xscreensaver-data-extra{a} xscreensaver-gl{a} xscreensaver-gl-extra{a} xscreensaver-screensaver-bsod{a} xserver-common{a} xserver-xorg{a}
xserver-xorg-core{a} xserver-xorg-input-all{a} xserver-xorg-input-evdev{a} xserver-xorg-input-synaptics{a} xserver-xorg-input-wacom{a} xserver-xorg-video-all{a}
xserver-xorg-video-apm{a} xserver-xorg-video-ark{a} xserver-xorg-video-ati{a} xserver-xorg-video-chips{a} xserver-xorg-video-cirrus{a} xserver-xorg-video-fbdev{a}
xserver-xorg-video-i128{a} xserver-xorg-video-intel{a} xserver-xorg-video-mach64{a} xserver-xorg-video-mga{a} xserver-xorg-video-neomagic{a} xserver-xorg-video-nouveau{a}
xserver-xorg-video-nv{a} xserver-xorg-video-openchrome{a} xserver-xorg-video-r128{a} xserver-xorg-video-radeon{a} xserver-xorg-video-rendition{a} xserver-xorg-video-s3{a}
xserver-xorg-video-s3virge{a} xserver-xorg-video-savage{a} xserver-xorg-video-siliconmotion{a} xserver-xorg-video-sis{a} xserver-xorg-video-sisusb{a} xserver-xorg-video-tdfx{a}
xserver-xorg-video-trident{a} xserver-xorg-video-tseng{a} xserver-xorg-video-vesa{a} xserver-xorg-video-vmware{a} xserver-xorg-video-voodoo{a} xulrunner-1.9.1{a}
0 packages upgraded, 553 newly installed, 0 to remove and 0 not upgraded.
Need to get 404 MB of archives. After unpacking 984 MB will be used.
The following packages have unmet dependencies:
libkrb5-3: Breaks: libsmbclient (<= 2:3.6.1-2) but 2:3.5.6~dfsg-3squeeze7 is to be installed.
python-qt4: Depends: python (< 2.7) but 2.7.2-10 is installed.
python-sip: Depends: python (< 2.7) but 2.7.2-10 is installed.
python-kde4: Depends: python (< 2.7) but 2.7.2-10 is installed.
The following actions will resolve these dependencies:

Keep the following packages at their current version:
1) akregator [Not Installed]
2) ark [Not Installed]
3) dolphin [Not Installed]
4) dragonplayer [Not Installed]
5) gwenview [Not Installed]
6) juk [Not Installed]
7) kaddressbook [Not Installed]
8) kappfinder [Not Installed]
9) kate [Not Installed]
10) kcalc [Not Installed]
11) kde-core [Not Installed]
12) kde-plasma-desktop [Not Installed]
13) kde-standard [Not Installed]
14) kde-window-manager [Not Installed]
15) kdebase-apps [Not Installed]
16) kdebase-bin [Not Installed]
17) kdebase-runtime [Not Installed]
18) kdebase-workspace [Not Installed]
19) kdebase-workspace-bin [Not Installed]
20) kdepasswd [Not Installed]
21) kdepim-runtime [Not Installed]
22) kdeplasma-addons [Not Installed]
23) kdm [Not Installed]
24) kfind [Not Installed]
25) khelpcenter4 [Not Installed]
26) kinfocenter [Not Installed]
27) klipper [Not Installed]
28) kmail [Not Installed]
29) kmix [Not Installed]
30) knm-runtime [Not Installed]
31) knotes [Not Installed]
32) konq-plugins [Not Installed]
33) konqueror [Not Installed]
34) konqueror-nsplugins [Not Installed]
35) konsole [Not Installed]
36) kopete [Not Installed]
37) korganizer [Not Installed]
38) kscreensaver [Not Installed]
39) kscreensaver-xsavers [Not Installed]
40) ksnapshot [Not Installed]
41) ksysguard [Not Installed]
42) kwalletmanager [Not Installed]
43) kwrite [Not Installed]
44) libakonadi-contact4 [Not Installed]
45) libkde4-ruby1.8 [Not Installed]
46) libkdepim4 [Not Installed]
47) libkonq5 [Not Installed]
48) libkopete4 [Not Installed]
49) libmessagelist4 [Not Installed]
50) libokularcore1 [Not Installed]
51) libplasma-ruby [Not Installed]
52) libplasma-ruby1.8 [Not Installed]
53) libqt4-ruby1.8 [Not Installed]
54) libsmbclient [Not Installed]
55) libsmokekdecore4-3 [Not Installed]
56) libsmokekdeui4-3 [Not Installed]
57) libsmokekfile3 [Not Installed]
58) libsmokekhtml3 [Not Installed]
59) libsmokekio3 [Not Installed]
60) libsmokeknewstuff2-3 [Not Installed]
61) libsmokeknewstuff3-3 [Not Installed]
62) libsmokekparts3 [Not Installed]
63) libsmokektexteditor3 [Not Installed]
64) libsmokekutils3 [Not Installed]
65) libsmokenepomuk3 [Not Installed]
66) libsmokephonon3 [Not Installed]
67) libsmokeplasma3 [Not Installed]
68) libxine1 [Not Installed]
69) libxine1-misc-plugins [Not Installed]
70) libxine1-plugins [Not Installed]
71) okular [Not Installed]
72) phonon [Not Installed]
73) phonon-backend-xine [Not Installed]
74) plasma-dataengines-workspace [Not Installed]
75) plasma-desktop [Not Installed]
76) plasma-runners-addons [Not Installed]
77) plasma-scriptengine-python [Not Installed]
78) plasma-scriptengine-ruby [Not Installed]
79) plasma-scriptengine-superkaramba [Not Installed]
80) plasma-scriptengines [Not Installed]
81) plasma-widget-folderview [Not Installed]
82) plasma-widget-lancelot [Not Installed]
83) plasma-widget-networkmanagement [Not Installed]
84) plasma-widgets-addons [Not Installed]
85) plasma-widgets-workspace [Not Installed]
86) polkit-kde-1 [Not Installed]
87) python-kde4 [Not Installed]
88) python-qt4 [Not Installed]
89) python-sip [Not Installed]
90) sweeper [Not Installed]
91) systemsettings [Not Installed]
92) xorg [Not Installed]

Leave the following dependencies unresolved:
93) kdelibs5-plugins recommends kdebase-runtime (>= 4:4.4)
94) kscreensaver recommends kscreensaver-xsavers (= 4:4.4.5-1)
95) kdebase-workspace-bin recommends plasma-scriptengines
96) kdm recommends kdebase | x-session-manager | x-window-manager
97) plasma-desktop recommends kdebase-workspace
98) konqueror recommends konqueror-nsplugins (= 4:4.4.5-2)
99) konqueror recommends dolphin
100) libkopete4 recommends kopete (= 4:4.4.5-2+squeeze1)
101) plasma-widgets-addons recommends plasma-widget-lancelot
102) konq-plugins-l10n recommends konq-plugins (>= 4:4.2.4)
103) kde-plasma-desktop recommends kdm (>= 4:4.4.3)
104) kde-standard recommends konq-plugins (>= 4:4.3.0)
105) knm-runtime recommends kwalletmanager
106) xinit recommends xterm | x-session-manager | x-window-manager | x-terminal-emulator


Accept this solution? [Y/n/q/?] y
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 0 B will be used.
Then it goes back to the prompt waiting for another command. I try again..
apt-get install kde-core xorg kdm
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
kde-core : Depends: kde-standard (>= 5:66) but it is not going to be installed
kdm : Depends: kdebase-runtime but it is not going to be installed
Recommends: kdebase but it is not going to be installed or
x-session-manager or
x-window-manager
E: Broken packages
I tried to install kde-standard but that just prints a similar message with a whole lot longer list of dependencies.

I have tried to run apt-get update,upgrade,dist-upgrade, and install --fix-broken(with nothing else specified) but no such luck. How can I get a minimal KDE environment set up?